*{
    padding: 0%;
    margin: 0%;
    overflow-x: hidden;
}
/* Hiddes the Scrollbar */
*::-webkit-scrollbar {
    display: none;
}
/* Navbar */
.active{
    text-decoration: underline;
}
/* Costum text size */
.textsm{
    font-size: large;
}

.textmd{
    font-size: x-large;
}

.textlg{
    font-size: 4rem;
}

/* Home Background */
.homebg{
    background: linear-gradient(rgba(0, 200, 255, 0.7), rgba(255, 255, 255, 0.1)), url('bg_01.jpeg') center center no-repeat;
	background-size: cover;
    width: 100%;
    height: 100vh;
}
.homebg_1{
    background: linear-gradient(rgba(0, 200, 255, 0.7), rgba(29, 28, 28, 0.1));
	background-size: cover;
    width: 100%;
    height: 100vh;
}
.hometxt{
    margin-top: 40vh;
    font-size: 3rem;
}
/* Media Query for text size */
@media only screen and (max-width: 1300px) {
    .hometxt{
        margin-top: 30vh!important;
        font-size: 30px ;
    }
    .txtsmall{
        font-size: 15px ;
    }
    .contact-container{
        width: 80vw !important;
    }
    .instagram, .github,.twitter,.envelope,.linkedin{
        font-size: 50px !important;
        margin: 10px ;
        padding: 10px;
    }
  }
  
/* Timetable */
.timetable{
    height: 50px;
    background-color: rgba(0, 200, 255, 0.1);
    /* color: rgba(0, 200, 255, 1); */
}
.mainCol, .r1{
    background-color: rgba(0, 200, 255, 1);
    color: white;
    
}
.ttcol:hover{
    background-color: aqua;
    color: white;
}
/* Footer CSS */
.footbg{
    background-color:rgba(130, 180, 194, 0.6) ;
    z-index: 10;
}
.footlink{
    font-size: x-large;
    color: white;
    margin: 10px;
}

.footlink:hover{
    color: greenyellow;
}

/* Annimations */
.anim1{
    width: 50px;
    height: 50px;
    position: relative;
    top: +10px;
    left: 0%;
    background: rgba(255, 255, 255, 0.5);
    animation-name: anim1;
    animation-duration: 10s;
    animation-iteration-count: infinite;
    animation-timing-function: ease;
}
@keyframes anim1 {
    0%   { left:0%; top:+20px;}
    50%  {left:100%; top:+20px;}
    100% {left:0px; top:+20px;}
  }
  
/* Contact US */
.contact-container{
    width: 50vw;
}
.instagram, .github,.twitter,.envelope,.linkedin{
    font-size: 4vw;
    margin: 10px ;
    padding: 10px;
}
.github{
    color: black;
}
.instagram{
    background: #f09433; 
    background: -moz-linear-gradient(45deg, #f09433 0%, #e6683c 25%, #dc2743 50%, #cc2366 75%, #bc1888 100%); 
    background: -webkit-linear-gradient(45deg, #f09433 0%,#e6683c 25%,#dc2743 50%,#cc2366 75%,#bc1888 100%); 
    background: linear-gradient(45deg, #f09433 0%,#e6683c 25%,#dc2743 50%,#cc2366 75%,#bc1888 100%); 
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f09433', endColorstr='#bc1888',GradientType=1 );
    color: white;
}
.button-53 {
    background-color: #3DD1E7;
    border: 0 solid #E5E7EB;
    box-sizing: border-box;
    color: #000000;
    display: flex;
    font-family: ui-sans-serif,system-ui,-apple-system,system-ui,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    font-size: 1rem;
    font-weight: 700;
    justify-content: center;
    line-height: 1.75rem;
    padding: .75rem 1.65rem;
    position: relative;
    text-align: center;
    text-decoration: none #000000 solid;
    text-decoration-thickness: auto;
    width: 100%;
    max-width: 460px;
    position: relative;
    cursor: pointer;
    transform: rotate(-2deg);
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
  }
  
  .button-53:focus {
    outline: 0;
  }
  
  .button-53:after {
    content: '';
    position: absolute;
    border: 1px solid #000000;
    bottom: 4px;
    left: 4px;
    width: calc(100% - 1px);
    height: calc(100% - 1px);
  }
  
  .button-53:hover:after {
    bottom: 2px;
    left: 2px;
  }
  
  @media (min-width: 768px) {
    .button-53 {
      padding: .75rem 3rem;
      font-size: 1.25rem;
    }
  }

  /* Hobbies Control*/
.c_1, .c_2, .c_3,.c_4,.c_5{
    display: none;
}
/* Contact Buttons  */
.myclass{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0;
    padding: 0;
    display: flex;
    
    }
    .myclass li{
    list-style: none;
    margin: 0 40px;
    
    }
    .myclass li .fa{
    font-size: 40px;
    color: #262626;
    line-height: 80px;
    transition: .5s;
    
    }
    .myclass li a{
    position: relative;
    display: block;
    width: 80px;
    height: 80px;
    background-color: #fff;
    text-align: center;
    transform: perspective(100px) rotate(-30deg) skew(25deg) translate(0,0);
    transition: .5s;
    box-shadow: -20px 20px 10px rgb(0, 0, 0, 0.5);
    }
    .myclass li a::before{
    content: "";
    position: absolute;
    top: 10px;
    left: -20px;
    height: 100%;
    width: 20px;
    background: #b1b1b1;
    transition: .5s;
    transform: rotate(0deg) skewY(-45deg);
    }
    .myclass li a::after{
    content: "";
    position: absolute;
    top: 80px;
    left: -11px;
    height: 20px;
    width: 100%;
    background: #b1b1b1;
    transition: .5s;
    transform: rotate(0deg) skewX(-45deg);
    }
    .myclass li a:hover{
    transform: perspective(1000px) rotate(-30deg) skew(25deg) translate(20px, -20px);
    box-shadow: -50px 50px 50px rgb(0, 0, 0, 0.5);
    }
    .myclass li:hover .fa{
    color: #fff;
    }
    .myclass li a:hover{
    transform: perspective(1000px) rotate(-30deg) skew(25deg) translate(20px, -20px);
    box-shadow: -50px 50px 50px rgb(0, 0, 0, 0.5);
    }
    .myclass li:hover:nth-child(1) a{
    background: black;
    }
    
    .myclass li:hover:nth-child(1) a:before{
    background: black;
    }
    .myclass li:hover:nth-child(1) a:after{
    background: black;
    }
    .myclass li:hover:nth-child(2) a{
    background: #55acee;
    }
    .myclass li:hover:nth-child(2) a:before{
    background: #4184b7;
    }
    .myclass li:hover:nth-child(2) a:after{
    background: #4d9fde;
    }
    .myclass li:hover:nth-child(3) a{
    background: #dd4b39;
    }
    
    .myclass li:hover:nth-child(3) a:before{
    background: #c13929;
    }
    .myclass li:hover:nth-child(3) a:after{
    background: #e83322;
    }
    
    .myclass li:hover:nth-child(4) a{
    background: #0077B5;
    }
    
    .myclass li:hover:nth-child(4) a:before{
    background: #036aa0;
    }
    .myclass li:hover:nth-child(4) a:after{
    background: #0d82bf;
    }
    
    .myclass li:hover:nth-child(5) a{
    background: linear-gradient(#400080, transparent), linear-gradient(200deg, #d047d1, #ff0000, #ffff00);
    }
    
    .myclass li:hover:nth-child(5) a:before{
    background: linear-gradient(#400080, transparent), linear-gradient(200deg, #d047d1, #ff0000, #ffff00);
    }
    .myclass li:hover:nth-child(5) a:after{
    background: linear-gradient(#400080, transparent), linear-gradient(200deg, #d047d1, #ff0000, #ffff00);
    }

    #tv {
        padding: 5rem;
        text-align: center;
      position: relative;
      width: 50rem;
      background: rgb(183, 225, 245);
      border-radius: 0% 0% 0% 0% / 0% 0% 0% 0% ;
      color: white;
      box-shadow: 20px 20px rgba(0,0,0,.15);
      transition: all .4s ease;
    }
    #tv:hover {
      border-radius: 0% 0% 50% 50% / 0% 0% 5% 5% ;
      box-shadow: 10px 10px rgba(0,0,0,.25);
    }

    /* hover text on images */
/*setting the properties for container
        which contains the image */
        .container {
            margin-top: 5px;
        }
        /*setting the properties for title*/
        .title {
            color: #1a1a1a;
            text-align: center;
            margin-bottom: 10px;
        }
        /*setting the properties of
        content within the image*/
        .content {
            position: relative;
            width: 25rem;
            height: 16rem;
            margin: auto;
            overflow: hidden;
        }
        /* rgb(0,0,0) indicates black and
            the fourth parameter is the opacity */
        .content .content-overlay {
            /*setting 0.8 to 1 will turn the overlay opaque*/
            /* background: rgba(0, 0, 0, 0.8); */
            position: absolute;
            height: 99%;
            width: 100%;
            left: 0;
            top: 0;
            bottom: 0;
            right: 0;
            opacity: 0;
            /*transition time and effect*/
            -webkit-transition: all 0.4s ease-in-out 0s;
            /*transition time and effect*/
            -moz-transition: all 0.4s ease-in-out 0s;
            /*transition time and effect*/
            transition: all 0.4s ease-in-out 0s;
        }
        /* setting hover properties */
        .content:hover .content-overlay {
            opacity: 0.5;
        }
        .content-image {
            width: 100%;
        }
        /*setting image properties*/
        img {
            box-shadow: 1px 1px 5px 1px rgba(0, 0, 0, 0.1);
            border-radius: 5px;
        }
        .content-details {
            position: absolute;
            text-align: center;
            padding-left: 1em;
            padding-right: 1em;
            width: 100%;
            top: 50%;
            left: 50%;
            opacity: 0;
            -webkit-transform: translate(-50%, -50%);
            -moz-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
            /*transition time and effect*/
            -webkit-transition: all 0.3s ease-in-out 0s;
            /*transition time and effect*/
            -moz-transition: all 0.3s ease-in-out 0s;
            /*transition time and effect*/
            transition: all 0.3s ease-in-out 0s;
        }
        .content:hover .content-details {
            top: 50%;
            left: 50%;
            opacity: 1;
        }
        .content-details h3 {
            color: #fff;
            font-weight: 500;
            letter-spacing: 0.15em;
            margin-bottom: 0.5em;
            text-transform: uppercase;
        }
        .content-details p {
            color: #fff;
            font-size: 0.8em;
        }